# --
#                 - Mellanox Confidential and Proprietary -
#
# Copyright (C) Jan 2013, Mellanox Technologies Ltd.  ALL RIGHTS RESERVED.
#
# Except as specifically permitted herein, no portion of the information,
# including but not limited to object code and source code, may be reproduced,
# modified, distributed, republished or otherwise exploited in any form or by
# any means for any purpose without the prior written permission of Mellanox
# Technologies Ltd. Use of software subject to the terms and conditions
# detailed in the file "LICENSE.txt".
# --


# @author: Simon Raviv
# @date: May 05, 2017

class Units(object):
    """ Describes units in the chip.
    """
    TPT = "TPT(Memory Operations Engine)"
    PXDP = "PXDP(PCIe Data-Link Unit)"
    PXT = "PXT(PCIe Transport Unit)"
    PXTL = "PXTL(PCIe Transport Link Unit)"
    PXTH = "PXTH(PCIe Transport Host Unit)"
    RXB = "RXB(RX Buffer)"
    RXT = "RXT(Core Transport)"
    RXW = "RXW(RX Queue Engine)"
    RXS = "RXS(Scatter Engine)"
    RXC = "RXC(Completion Engine)"
    SXD = "SXD(Scheduler)"
    SXP = "SXP(TX Steering and TX Port)"
    SXP_E2E_CACHE = "SXP_E2E_cache(Learning Cache TX Steering)"
    SXW = "SXW(TX Queue Engine)"
    RXPS = "RXPS(RX Steering)"
    RXPS_E2E_CACHE = "RXPS_E2E_cache(RX Steering)"
    NONE = "N/A"
